openslp-dfsg (1.2.1-10) unstable; urgency=low

  * QA upload.
  * Bump Standards-Version to 3.9.5 (no changes needed).
  * Bump debhelper compatibility level to 9.
  * Switch to machine-parseable copyright format.
  * Reorder binary package stanzas in debian/control.
  * Split common and specific package descriptions into distinct paragraphs
    so that translations are easier.
  * Reword package summaries.
  * Mark slpd and slptool as Multi-Arch:foreign, libslp1 and libslp-dev as
    Multi-Arch:same. Closes: #755935
  * Clean up debian/rules:
    - Explicitly set DEB_HOST_GNU_TYPE.
    - Remove unused DEB_BUILD_GNU_SYSTEM and DEB_BUILD_GNU_CPU assignments.
    - Remove commented out debhelper commands.
    - Do not pass any argument to update-rc.d via dh_installinit.
    - Pass --host and --build to configure only when cross-compiling.
    - Pass --disable-silent-rules to configure, preemptively.
    - Enable hardening build flags.
  * Clean up init script:
   - Update LSB header descriptions.
   - Add LSB status action support.
   - Rename debian/init.d to debian/slpd.init.
   - Add new PIDFILE variable.
  * Remove unnecessary debian/dirs, dh_installinit takes care of creating the
    etc/init.d directory.
  * Remove debian/preinst, as it was wrongly using start-stop-daemon directly,
    and invoke-rc.d is already being injected by debhelper to stop the daemon
    on upgrade.
  * Remove «set -x» from slpd postinst.
  * Namespace stray debhelper files with «slpd.» in debian/ filenames.
  * Remove trailing spaces from debian/ files.
  * Change the libcrypto configure-time checks conditional on whether it is
    going to be used at build time, so that we can remove the libssl-dev
    Build-Conflicts.
  * Add a debian/watch file.
  * Add a basic symbols file for libslp1.
  * Fix a typo in slptool's program output message.
  * Fix a typo in an automake coditional in the code, that was not properly
    disabling the code (ENABLE_SLPV2_SECURITY → ENABLE_SLPv2_SECURITY).
  * Fix handling of string-list in common/slp_common.c by not increasing
    the item pointer past the string-list pointer, and letting '\\' only
    escape the item separator ','. Although not reproduced it should in
    theory fix CVE-2012-4428. Closes: #687597

 -- Guillem Jover <guillem@debian.org>  Fri, 25 Jul 2014 16:57:05 +0200

openslp-dfsg (1.2.1-9) unstable; urgency=low

  * QA upload.
  * Drop 99_auroreconf patch, use dh-autoreconf instead. Ajust build-depends
    accordingly.
  * Bump Standards-Version to 3.9.2.
  * Drop duplicate Section and Priority fields from debian/control.
  * Move to dh_install instead of dh_movefiles.
  * Switch to format 3.0 (quilt).
  * Call make disclean in clean target, stop finishing the cleanup manually.
  * Enable building of the static lib, and ship it in libslp1-dev.
  * Stop shipping the .la file.
  * Bump debhelper compat version to 8. Ajust build-depends accordingly.
  * Drop build-depends on debconf.
  * Remove manual calls to ldconfig, debhelper adds them for us.
  * Stop the debconf abuse, ship a README.Debian with libslp1 instead.
    Closes: #613472.
  * Drop now unneeded BSD-specific tricks from debian/rules.

 -- Regis Boudin <regis@debian.org>  Mon, 06 Feb 2012 23:02:46 +0100

openslp-dfsg (1.2.1-8) unstable; urgency=low

  * Orphan the package, setting maintainer to Debian QA group
  * Fix CVE-2010-3609 (Closes: #623551, Closes: #621030)

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 19 Dec 2011 19:09:53 +0100

openslp-dfsg (1.2.1-7.8) unstable; urgency=low

  * Non-maintainer upload.
  * Bump debhelper compatibility to 7
  * As a consequence of the former, replace deprecated "dh_clean -k"
    by dh_prep
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #581056

 -- Christian Perrier <bubulle@debian.org>  Sat, 31 Jul 2010 06:35:03 -0400

openslp-dfsg (1.2.1-7.7) unstable; urgency=low

  * Non-maintainer upload to solve release goal.
  * Correct init.d script dependencies to make sure slpd
    starts before slapd (Closes: #279297).
  * Add homepage link in control file.
  * Add 'set -e' to libslp1 postrm and postinst, to make sure
    errors are not ignored.  Thanks, lintian, for the warning.
  * Add ${misc:Depends} as dependency for all binary packages.
    Thanks, lintian, for the warning.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 06 Apr 2010 12:00:08 +0200

openslp-dfsg (1.2.1-7.6) unstable; urgency=low

  * Non-maintainer upload.
  * debian/libslp1.config, debian/control:
    Comment out dead code to avoid needing netstat, add a warning about
    needing pre-depends when/if uncommenting code, and drop depends on
    net-tools (Closes: #455447, #528739, #534567)
  * debian/po/de.po:
    Avoid sexual ambiguity in german translation (Closes: #506107)
  * debian/patches/*, debian/control, debian/rules:
    Add debian/patches/01_have_net_if_arp.diff, add quilt patch system,
    and dump autoreconf results into debian/patches/99_autoreconf.diff
    (Closes: #394388)
  * debian/po/es.po: Add updated spanish translation (Closes: #507444)
  * debian/rules: make clean remove config.{guess,sub} to avoid cluttering
    the package.diff.gz.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 25 Jun 2009 12:50:32 +0200

openslp-dfsg (1.2.1-7.5) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Dutch. Closes: #501377

 -- Christian Perrier <bubulle@debian.org>  Wed, 05 Nov 2008 07:18:43 +0100

openslp-dfsg (1.2.1-7.4) unstable; urgency=low

  * Non-maintainer upload to fix some other pending l10n issues.
  * Debconf translations:
    - Swedish. Closes: #483435
    - Japanese. Closes: #495231

 -- Christian Perrier <bubulle@debian.org>  Tue, 19 Aug 2008 09:46:30 +0200

openslp-dfsg (1.2.1-7.3) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #443648
  * [Debconf translation updates]
    - French
    - Finnish. Closes: #444252
    - Tamil. Closes: #444280
    - Vietnamese. Closes: #444396
    - Galician. Closes: #444757
    - Italian. Closes: #445306
    - Brazilian Portuguese. Closes: #445732
    - Russian. Closes: #446130
    - Portuguese. Closes: #446301
    - German. Closes: #446395
    - Czech. Closes: #452877
    - Basque. Closes: #476801
  * [Lintian] Change sections in doc-base documents:
    "Programming", "Network/Communication"
  * [Lintian] Remove extra leading whitepaces in Abstract continuation
    lines in doc-base documents
  * [Lintian] Add ${shlibs:Depends} in slptool dependencies as the package
    was not depending on the libc

 -- Christian Perrier <bubulle@debian.org>  Fri, 25 Apr 2008 07:59:18 +0200

openslp-dfsg (1.2.1-7.2) unstable; urgency=low

  * Non-maintainer upload to solve release goal.
  * Add LSB dependency header to init.d scripts (Closes: #462219).

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 27 Mar 2008 09:44:38 +0100

openslp-dfsg (1.2.1-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Workaround maintainers mistake of adding debian/conffiles
    to orig.tar.gz
  * Fix clean target, Closes: #432887
    Thanks Kartik Mistry

 -- Riku Voipio <riku.voipio@iki.fi>  Wed, 02 Jan 2008 12:13:54 +0200

openslp-dfsg (1.2.1-7) unstable; urgency=low

  * Remove non-free IETF documents and created openslp-dfsg source package
    (Closes: #393405).
  * Regenerated configure script and Makefile.ins to fix a buggy check for
    C++ compiler (due a libtool bug in version 1.5.20 or older).
  * Updated standards version.
  * Set debian/compat to version 4.
  * Fixed debian/rules for debhelper version 4.
  * Fixed ${Source-Version} substitution in control file.
  * Fixed many lintian warnings.

 -- Ganesan Rajagopal <rganesan@debian.org>  Sat, 30 Jun 2007 21:24:30 +0530

openslp (1.2.1-6.2) unstable; urgency=low

  * Non-maintainer upload to fix a forgotten l10n issue in last NMU.
  * Debconf translations:
    - Spanish. Closes: #402352
    - Convert all translations to UTF-8

 -- Christian Perrier <bubulle@debian.org>  Sun, 25 Feb 2007 09:27:26 +0100

openslp (1.2.1-6.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Turn the debconf notes into error type. Closes: #388919
  * Debconf translations:
    - Portuguese. Closes: #408184
    - Russian. Closes: #405906
    - Galician. Closes: #407271

 -- Christian Perrier <bubulle@debian.org>  Sun, 18 Feb 2007 18:54:11 +0100

openslp (1.2.1-6) unstable; urgency=low

  * Remove debconf dependency in postrm. (Closes: #387951).
  * Remove bashisms in debian/rules. (Closes: #375632).
  * Included Swedish debconf templates translation. (Closes: #338257).
  * Updated Dutch debconf templates translation. (Closes: #363038).

 -- Ganesan Rajagopal <rganesan@debian.org>  Mon, 18 Sep 2006 13:24:49 +0530

openslp (1.2.1-5) unstable; urgency=low

  * SLPv2 security is not widely used and configure.in unconditionally
    checks for libcrypto. Change libssl-dev Build-Depends to a
    Build-Conflicts to avoid dependency on libcrypto.  (Closes: #337606)

 -- Ganesan Rajagopal <rganesan@debian.org>  Wed, 28 Dec 2005 09:50:29 +0530

openslp (1.2.1-4) unstable; urgency=low

  * Add Build-Depends for libssl-dev (Closes: #337606)

 -- Ganesan Rajagopal <rganesan@debian.org>  Thu, 10 Nov 2005 16:31:24 +0530

openslp (1.2.1-3) unstable; urgency=low

  * Add debconf-2.0 as an alternate for debconf dependency.
  * Removed DH_COMPAT version 1 in rules file.
  * Updated rules file to be cross compilation friendly.
  * Updated standards version.

 -- Ganesan Rajagopal <rganesan@debian.org>  Sat, 13 Aug 2005 09:47:40 +0530

openslp (1.2.1-2) unstable; urgency=low

  * Remove left over patch from 1.0.11a version.

 -- Ganesan Rajagopal <rganesan@debian.org>  Wed, 29 Jun 2005 09:57:29 +0530

openslp (1.2.1-1) unstable; urgency=low

  * New upstream release
  * Fixed typos in package description (Closes: #299998, #300002, #300027, #300030, #300032).
  * Included Czech debconf template translation (Closes: #311098).
  * Updated shared library version in debian/rules.

 -- Ganesan Rajagopal <rganesan@debian.org>  Tue, 28 Jun 2005 11:38:35 +0530

openslp (1.0.11a-2) unstable; urgency=high

  * Apply patches from SuSE openslp-1.1.5-73.15.src.rpm to fix several
    buffer overflows and out-of-bounds memory access (Closes: #299846).

 -- Ganesan Rajagopal <rganesan@debian.org>  Thu, 17 Mar 2005 18:44:25 +0530

openslp (1.0.11a-1) unstable; urgency=low

  * Sanitized sources by removing CVS cruft and updating slpd.all_init
    from latest CVS version (Closes: #279973).
  * Applied patch from Robert Millan <rmh@debian.org> to fix OpenSLP build
    for GNU/kFreeBSD (Closes: #262184).
  * Included Danish debconf template translation (Closes: #245088).
  * Included Catalan debconf template translation (Closes: #248746).
  * Included German debconf template translation (Closes: #264609).
  * Do igmp multicast check only for Linux kernel (Closes: #266675).
  * Check for proc/net before igmp multicast check (Closes: #251004).
  * Updated to standards version 3.6.1.

 -- Ganesan Rajagopal <rganesan@debian.org>  Wed,  2 Feb 2005 14:53:49 +0530

openslp (1.0.11-7) unstable; urgency=low

  * Re-introduce Conflicts for libxdelta3-dev because it may break upgrade
    from woody (Closes: #228356).

 -- Ganesan Rajagopal <rganesan@debian.org>  Fri,  5 Mar 2004 10:49:05 +0530

openslp (1.0.11-6) unstable; urgency=medium

  * Removed Conflicts for libxdelta3-dev. It's no longer in the archive.
  * Fix segfault when prlist is overflowed (Closes: #222649).

 -- Ganesan Rajagopal <rganesan@debian.org>  Fri,  5 Dec 2003 17:13:54 +0530

openslp (1.0.11-5) unstable; urgency=low

  * Remove "| hurd | freebsd" from dependency list because GNU/Hurd and
    GNU/KFreeBSD now have a package providing net-tools (Closes: #217283).

 -- Ganesan Rajagopal <rganesan@debian.org>  Tue,  4 Nov 2003 13:38:21 +0530

openslp (1.0.11-4) unstable; urgency=low

  * Work-around timestamp skew problems for files patched from diff.gz
    on m68k (Closes: #201888).

 -- Ganesan Rajagopal <rganesan@debian.org>  Wed, 30 Jul 2003 16:20:58 +0530

openslp (1.0.11-3) unstable; urgency=low

  * Relaxed net-tools dependency for libslp1 by applying patch from
    Robert Millan <rmh@debian.org> (Closes: #201455).
  * Use updated config.{guess,sub} from autotools-dev. This helps the
    GNU/FreeBSD port. Patch from Robert Millan <rmh@debian.org>
    (Closes: #195924).
  * Removed RFCs from the doc package (Closes: #199813).
  * Included French debconf templates update. Patch by Christian
    Perrier <bubulle@debian.org>, proofread by debian-l10n-french mailing
    list contributors (Closes: #192250).
  * Bumped up standards version.

 -- Ganesan Rajagopal <rganesan@debian.org>  Fri, 18 Jul 2003 11:20:58 +0530

openslp (1.0.11-2) unstable; urgency=low

  * Added a dependency on net-tools for libslp1 (Closes: #193047)
  * Fixed build so that doc packages are built in binary-indep rule
    (Closes: #181453)

 -- Ganesan Rajagopal <rganesan@debian.org>  Wed, 13 May 2003 12:08:58 +0530

openslp (1.0.11-1) unstable; urgency=low

  * New upstream release.
  * Included patch from Andre Luis Lopes <andrelop@ig.com.br> to move
    to po-debconf (Closes: #187895, #186328).
  * Removed prompting for multicast route (Closes: #173675).
  * Moved slptool into it's own package (Closes: #173675).
  * Bumped up standards version to 3.5.9.0.

 -- Ganesan Rajagopal <rganesan@debian.org>  Wed, 26 Apr 2003 17:13:08 +0530

openslp (1.0.10-4) unstable; urgency=low

  * autoreconf run on the source tree to get updated configure script (This
    is to fix build breakage on mipsel) (Closes: #180100).

 -- Ganesan Rajagopal <rganesan@debian.org>  Wed, 07 Feb 2003 14:16:08 +0530

openslp (1.0.10-3) unstable; urgency=low

  * Turning off --enable-slpv2-security because of licensing issues with
    KDE (Closes: #179825).
  * Use debconf for prompting (Closes: #171990).
  * Update config.guess and config.sub from autotools-dev version 20030110.1.

 -- Ganesan Rajagopal <rganesan@debian.org>  Wed, 05 Feb 2003 11:35:08 +0530

openslp (1.0.10-2) unstable; urgency=low

  * Argh. I can't believe I screwed up on config.{guess,sub} again.
    Especially, since I updated upstream CVS to the latest version.
    Updated config.{guess,sub} again from upstream CVS. (Closes: #172502).

 -- Ganesan Rajagopal <rganesan@debian.org>  Thu, 12 Dec 2002 09:11:38 +0530

openslp (1.0.10-1) unstable; urgency=low

  * New upstream release.
  * Enabled security and asyncapi (Closes: #163033).

 -- Ganesan Rajagopal <rganesan@debian.org>  Thu,  5 Dec 2002 14:41:00 +0530

openslp (1.0.9-3) unstable; urgency=low

  * Removed CVS directories from openslp-doc package (thanks to Joey Hess
    joyeh@debian.org for pointing out the problem).

 -- Ganesan Rajagopal <rganesan@debian.org>  Mon, 18 May 2002 12:09:38 +0530

openslp (1.0.9-2) unstable; urgency=high

  * Fixed really bad bug which rendered OpenSLP literally unusable.

 -- Ganesan Rajagopal <rganesan@debian.org>  Mon, 16 May 2002 09:33:58 +0530

openslp (1.0.9-1) unstable; urgency=low

  * New upstream version.
  * Changed multicast kernel detection to check the presence of
    /proc/net/igmp instead of /boot/config-* (Closes: #134974).
  * Changed message to add multicast route (Closes:  #145598, #140380).

 -- Ganesan Rajagopal <rganesan@debian.org>  Mon, 13 May 2002 13:56:03 +0530

openslp (1.0.8a-3) unstable; urgency=high

  * Change libslp1 priority to optional (Closes: #145058). Increasing
    urgency to high to get this into Woody. RM: This is the only change in
    this package to fix a last minute bug because of policy violation.

 -- Ganesan Rajagopal <rganesan@debian.org>  Mon, 30 Apr 2002 08:15:34 +0530

openslp (1.0.8a-2) unstable; urgency=low

  * Change libslp1 dependency on slpd to suggests (Closes: #138466).
  * Partially fix multicast checks doing install.

 -- Ganesan Rajagopal <rganesan@debian.org>  Wed, 13 Mar 2002 14:27:16 +0530

openslp (1.0.8a-1) unstable; urgency=low

  * New upstream release

 -- Ganesan Rajagopal <rganesan@debian.org>  Tue,  5 Mar 2002 11:11:16 +0530

openslp (1.0.7-1) unstable; urgency=low

  * New upstream release

 -- Ganesan Rajagopal <rganesan@debian.org>  Fri, 08 Feb 2002 08:39:14 +0530

openslp (1.0.6-3) unstable; urgency=low

  * Fixed URL in manpages (was pointing to www.openldap.org!).

 -- Ganesan Rajagopal <rganesan@debian.org>  Sat, 05 Jan 2002 13:27:22 +0530

openslp (1.0.6-2) unstable; urgency=low

  * Added AUTHORS file to the package.

 -- Ganesan Rajagopal <rganesan@debian.org>  Wed, 26 Dec 2001 08:27:22 +0530

openslp (1.0.6-1) unstable; urgency=low

  * New upstream release

 -- Ganesan Rajagopal <rganesan@debian.org>  Sat, 15 Dec 2001 12:49:14 +0530

openslp (1.0.5-1) unstable; urgency=low

  * New upstream release
  * libslp-dev now conflicts libxdelta3-dev because /usr/include/slp.h
    exists in both packages. (Closes: #115460, #115461)	

 -- Ganesan Rajagopal <rganesan@debian.org>  Sat, 24 Nov 2001 12:52:28 +0530

openslp (1.0.4-1) unstable; urgency=low

  * New upstream release
  * Added /etc/slp.spi as a conf file
  * Fixed lintian warning about unsafe ldconfig in libslp1 postinst.

 -- Ganesan Rajagopal <rganesan@debian.org>  Tue, 30 Oct 2001 16:28:16 +0530

openslp (1.0.3-1) unstable; urgency=low

  * New upstream release
  * Updated config.{guess,sub} from ftp://ftp.gnu.org/pub/gnu/config
    (Closes: #115013)

 -- Ganesan Rajagopal <rganesan@debian.org>  Fri, 12 Oct 2001 13:58:58 +0530

openslp (1.0.2-2) unstable; urgency=low

  * Updated package descriptions so that they're .. well, more descriptive.
    (Closes: #113107)

 -- Ganesan Rajagopal <rganesan@debian.org>  Sat, 22 Sep 2001 08:14:24 +0530

openslp (1.0.2-1) unstable; urgency=low

  * New upstream release

 -- Ganesan Rajagopal <rganesan@debian.org>  Thu, 13 Sep 2001 08:44:24 +0530

openslp (1.0.1-3) unstable; urgency=low

  * Fixed section and priority of packages.
  * libslp1 now recommends slpd.
  * Removed CVS stuff from debian directory.
  * Man pages for slptool and slpd (no open bugs).
  * Build-Depends-Indep changed to Build-Depends (Closes: #111870).

 -- Ganesan Rajagopal <rganesan@debian.org>  Tue, 11 Sep 2001 08:55:59 +0530

openslp (1.0.1-2) unstable; urgency=low

  * First official debian upload, I am now a debian Developer :-).
    Closes: #83228
  * Removed config.cache after build to avoid lintian error.
  * Modified "Upstream Author(s)" in copyright file to shutup lintian.
  * Removed ldconfig call in libslp1.postinst (lintian warning).
  * Changed maintainer field to rganesan@debian.org.

 -- Ganesan Rajagopal <rganesan@debian.org>  Wed, 05 Sep 2001 18:13:08 +0530

openslp (1.0.1-1) unstable; urgency=low

  * New upstream version.
  * Updated to standards version 3.5.6.0
  * Changed download location from download.sourceforge.net to
    prdownloads.sourceforge.net

 -- Ganesan Rajagopal <rganesan@myrealbox.com>  Thu, 08 Aug 2001 10:10:55 +0530

openslp (1.0.0-1) unstable; urgency=low

  * New upstream version.
  * Updated to standards version 3.5.5.0

 -- Ganesan Rajagopal <rganesan@myrealbox.com>  Thu, 02 Aug 2001 23:38:30 +0530

openslp (0.8.3-3) unstable; urgency=low

  * Cleanup the debian/rules.
  * Added Build-Depends and updated Standards-Version to 3.5.2

 -- Ganesan Rajagopal <rganesan@myrealbox.com>  Wed, 13 Apr 2001 20:45:48 +0530

openslp (0.8.3-2) unstable; urgency=low

  * Fixed a bug (caused by debhelper) that prevented init scripts from
    starting up.

 -- Ganesan Rajagopal <rganesan@myrealbox.com>  Wed, 14 Mar 2001 20:55:48 +0530

openslp (0.8.3-1) unstable; urgency=low

  * New upstream version.
  * Removed "set -e" from init.d because it causes problems in upgrading.
  * Added warning to enable multicast for the interfaces.
  * Fixed a couple of lintian warnings.

 -- Ganesan Rajagopal <rganesan@myrealbox.com>  Wed, 14 Mar 2001 14:10:13 +0530

openslp (0.8.2-1) unstable; urgency=low

  * New upstream version.

 -- Ganesan Rajagopal <rganesan@myrealbox.com>  Thu, 15 Feb 2001 09:38:30 +0530

openslp (0.8.1-2) unstable; urgency=low

  * Updated with review comments from Susan G. Kleinmann (sgk@debian.org).
    New package openslp-doc created.
  * Added doc-base entries for openslp-doc.
  * Renamed openslpd package to slpd (based on how openldap2 does this).

 -- Ganesan Rajagopal <rganesan@myrealbox.com>  Wed, 14 Feb 2001 17:09:53 +0530

openslp (0.8.1-1) unstable; urgency=low

  * Initial Release.

 -- Ganesan Rajagopal <rganesan@myrealbox.com>  Sat,  9 Dec 2000 16:18:46 +0530
